* Figure 5.1
clear all
set more off

// World Value Survey and Penn World Tables 
*DATA PREPARATION

use WVS_PENN, clear

* Label variables 
lab var gdp_pc  "GDP per capita"
lab var lgdp_pc "log GDP per capita"
lab var dobed   "valuing obedience" 

* Compute share valuing obedience by country-wave-year (wave 5 only)
collapse dobed lgdp_pc gdp_pc, by(country3 S003 year)

* convert share to percent
replace dobed = dobed*100

* label countries
gen countrylabel="Italy" if country3=="ITA"
replace countrylabel="Rwanda" if country3=="RWA"
replace countrylabel="Ethiopia" if country3=="ETH"
replace countrylabel="Zambia" if country3=="ZMB"
replace countrylabel="India" if country3=="IND"
replace countrylabel="China" if country3=="CHN"
replace countrylabel="Guatemala" if country3=="GTM"
replace countrylabel="Brazil" if country3=="BRA"
replace countrylabel="Argentina" if country3=="ARG"
replace countrylabel="United States" if country3=="USA"
replace countrylabel="Great Britain" if country3=="GBR"
replace countrylabel="Germany" if country3=="DEU"
replace countrylabel="France" if country3=="FRA"
replace countrylabel="Japan" if country3=="JPN"
replace countrylabel="Sweden" if country3=="SWE"
replace countrylabel="Norway" if country3=="NOR"
replace countrylabel="South Korea" if country3=="KOR"
replace countrylabel="Australia" if country3=="AUS"

* Graph:
* this is a log scale, so 6.91 (1000), 9.21 (10000), 10.82 (50000)
twoway (scatter dobed lgdp_pc, mlabel(countrylabel) mlabcol(black) color(black)) (lfit dobed lgdp_pc, lc(gray)),    ///
legend(off) xtitle("GDP Per Capita (Ratio Scale)") ytitle("Parents praising obedience (%)") ylabel(0 (10) 100) xscale(r(6 12)) graphregion(color(white)) // xlabel(6.91 9.21 10.82) 
graph save "Figure5.1_fv.gph", replace




